detekt-api
1.21.0-RC2

# OutputReport

abstract class OutputReport : Extension
Content copied to clipboard

Translates detekt's result container - Detektion - into an output report which is written inside a file.

## Constructors

OutputReport
Link copied to clipboard
fun OutputReport ()
Content copied to clipboard

## Functions

init
Link copied to clipboard
open fun init (config: Config )
Content copied to clipboard

Allows to read any or even user defined properties from the detekt yaml config to setup this extension.

open fun init (context: SetupContext )
Content copied to clipboard

Setup extension by querying common paths and config options.

render
Link copied to clipboard
abstract fun render (detektion: Detektion ): String ?
Content copied to clipboard

Defines the translation process of detekt's result into a string.

write
Link copied to clipboard
fun write (filePath: Path , detektion: Detektion )
Content copied to clipboard

Renders result and writes it to the given filePath.

## Properties

ending
Link copied to clipboard
abstract val ending : String
Content copied to clipboard

Supported ending of this report type.

id
Link copied to clipboard
open val id : String
Content copied to clipboard

Name of the extension.

name
Link copied to clipboard
open val name : String ?
Content copied to clipboard

Name of the report. Is used to exclude this report in the yaml config.

priority
Link copied to clipboard
open val priority : Int
Content copied to clipboard

Is used to run extensions in a specific order. The higher the priority the sooner the extension will run in detekt's lifecycle.